%global srcname ogr

Name:           python-%{srcname}
Version:        0.24.1
Release:        1%{?dist}
Summary:        One API for multiple git forges

License:        MIT
URL:            https://github.com/packit/ogr
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm-git-archive)

%description
One Git library to Rule!

%package -n     python3-%{srcname}
Summary:        %{summary}

# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_provides
%if 0%{?fedora} < 33
%{?python_provide:%python_provide python3-%{srcname}}
%endif

%description -n python3-%{srcname}
One Git library to Rule!


%prep
%autosetup -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info


%build
%py3_build


%install
%py3_install


%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Apr 27 2021 Matej Mužila <mmuzila@redhat.com> - 0.24.1-1
- Fixed problems with imports from 'gitlab' modules.

* Mon Apr 26 2021 Matej Mužila <mmuzila@redhat.com> - 0.24.0-1
- Exceptions for non-supported features were refactored.
- Behaviour of `Github.get_file_content()` was unified with `GitLab` and `Pagure`.

* Fri Mar 19 2021 Packit Service <user-cont-team+packit-service@redhat.com> - 0.23.0-1
- Fixed authentication of 'gitlab' type.
- Pagure: enable creating PRs from fork via fork_username.
- Allow ignoring custom instances when creating a project.
- Package is now PEP-561 compliant and mypy is able to use the type information when importing it.

* Wed Mar 03 2021 Packit Service <user-cont-team+packit-service@redhat.com> - 0.22.0-1
- new upstream release: 0.22.0

* Fri Feb 19 2021 Packit Service <user-cont-team+packit-service@redhat.com> - 0.21.0-1
- Implemented `get_files` for Pagure projects (by [@mfocko](https://github.com/mfocko)).
- Docs are now being autogenerated, present at https://packit.github.io/ogr (by [@mfocko](https://github.com/mfocko)).

* Fri Feb 05 2021 Packit Service <user-cont-team+packit-service@redhat.com> - 0.20.0-1
- Add and implement `commits_url` property on pull requests (by [@mfocko](https://github.com/mfocko)).
- Implemented `project.exists` for GitHub projects (by [@path2himanshu](https://github.com/path2himanshu)).
- Raise more informative exception for `edited` property on GitLab's commit flag (by [@mfocko](https://github.com/mfocko)).

* Thu Jan 07 2021 Packit Service <user-cont-team+packit-service@redhat.com> - 0.19.0-1
- Add and implement `GitProject.default_branch` property, by [@jpopelka](https://github.com/jpopelka), [#515](https://github.com/packit-service/ogr/pull/515)
- PagureService: Make retries parametrizable via `max_retries` argument, by [@csomh](https://github.com/csomh), [#514](https://github.com/packit-service/ogr/pull/514)

* Thu Dec 10 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.18.1-1
- Update CHANGELOG.md (Ján Sakáloš)
- 0.18.1 release (Jan Sakalos)
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- 0.18.1 release (Release bot)
- Add str for GitProject (used in mocking tests) (Matej Focko)
- Fix str representation of GitlabCommitFlag (Matej Focko)
- Add __str__ for CommitComment (Matej Focko)
- Add an abstract class with binding of repr to str (Matej Focko)
- Trigger scratch koji build for fedora-devel on PRs (Frantisek Lachman)
- [ci.fmf] there's no git-source/ in 'new' Testing Farm (Jiri Popelka)
- Do not pass username to the PagureProject if not fork (Matej Focko)
- Fix parsing of ssh urls and default to https protocol (Matej Focko)
- Update parsing tests (Matej Focko)
- Add more tests to parsing (Matej Focko)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Turn off requre in pre-commit CI and move rebase to pre-push (Matej Focko)
- Do not skip bug and security issues by stalebot (Frantisek Lachman)

* Thu Oct 29 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.18.0-1
- new upstream release: 0.18.0

* Thu Oct 15 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.17.0-1
- new upstream release: 0.17.0

* Wed Sep 30 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.16.0-1
- new upstream release: 0.16.0

* Wed Sep 16 2020 rebase-helper <rebase-helper@localhost.local> - 0.15.0-1
- new upstream release: 0.15.0

* Wed Sep 02 2020 rebase-helper <rebase-helper@localhost.local> - 0.14.0-1
- new upstream release: 0.14.0

* Thu Aug 20 2020 Jan Sakalos <sakalosj@gmail.com> - 0.13.1-1
- new upstream release: 0.13.1

* Fri Aug 07 2020 Jan Sakalos <sakalosj@gmail.com> - 0.13.0-1
- new upstream release: 0.13.0

* Thu Jul 09 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.12.2-1
- new upstream release: 0.12.2

* Thu Jun 11 2020 Dominika Hodovska <dhodovsk@redhat.com> - 0.12.1-1
- new upstream release: 0.12.1

* Thu May 07 2020 Frantisek Lachman <flachman@redhat.com> - 0.12.0-1
- new upstream release: 0.12.0

* Mon Apr 27 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.11.3-1
- new upstream release: 0.11.3

* Thu Apr 16 2020 Frantisek Lachman <flachman@redhat.com> - 0.11.2-1
- new upstream release: 0.11.2

* Wed Apr 01 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.11.1-1
- new upstream release: 0.11.1

* Mon Mar 09 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.11.0-1
- new upstream release: 0.11.0

* Tue Jan 28 2020 Frantisek Lachman <flachman@redhat.com> - 0.10.0-1
- new upstream release: 0.10.0

* Tue Dec 10 2019 Frantisek Lachman <flachman@redhat.com> - 0.9.0-1
- new upstream release: 0.9.0

* Tue Oct 01 2019 Frantisek Lachman <flachman@redhat.com> - 0.8.0-1
- new upstream release: 0.8.0

* Thu Sep 12 2019 Frantisek Lachman <flachman@redhat.com> - 0.7.0-1
- new upstream release: 0.7.0

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.6.0-2
- Rebuilt for Python 3.8

* Thu Aug 01 2019 Packit Service - 0.6.0-1
- new upstream release: 0.6.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 28 2019 Frantisek Lachman <flachman@redhat.com> - 0.5.0-1
- New upstream release: 0.5.0

* Tue Jun 11 2019 Jiri Popelka <jpopelka@redhat.com> - 0.4.0-1
- New upstream release: 0.4.0

* Tue May 14 2019 Jiri Popelka <jpopelka@redhat.com> - 0.3.1-1
- patch release: 0.3.1

* Mon May 13 2019 Jiri Popelka <jpopelka@redhat.com> - 0.3.0-1
- New upstream release: 0.3.0

* Wed Mar 27 2019 Tomas Tomecek <ttomecek@redhat.com> - 0.2.0-1
- New upstream release: 0.2.0

* Mon Mar 18 2019 Tomas Tomecek <ttomecek@redhat.com> - 0.1.0-1
- New upstream release: 0.1.0

* Thu Feb 28 2019 Frantisek Lachman <flachman@redhat.com> - 0.0.3-1
- New upstream release 0.0.3

* Tue Feb 26 2019 Tomas Tomecek <ttomecek@redhat.com> - 0.0.2-1
- Initial package.
